Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-6546504

Compiling vectorNode.hpp fails on gcc 4.1.1

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P4
    • Resolution: Fixed
    • Affects Version/s: 7
    • Fix Version/s: hs10
    • Component/s: hotspot
    • Labels:
      None
    • Subcomponent:
    • Resolved In Build:
      b12
    • CPU:
      generic, x86
    • OS:
      generic, linux

      Backports

        Description

        I try to compile hotspot on Fedora 6 and I got an eroor. It complains about "extra qualification on VectorLoadNode::make in vectornode.hpp". There are two places the problem occurs, line 384 & line 612.

        The gcc compiler version I am using is gcc 4.1.1.

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  xlu Xiaobin Lu (Inactive)
                  Reporter:
                  xlu Xiaobin Lu (Inactive)
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  2 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved:
                    Imported:
                    Indexed: